using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Main.controls
{
    public partial class ShowFriend : System.Web.UI.UserControl
    {
        private Guid _FriendID;
        public Guid FriendID
        {
            get
            { return _FriendID; }
            set
            { _FriendID = value; }
        }
        protected void Page_Load(object sender, EventArgs e)
        {
            friendLink.Text = Membership.GetUser(FriendID).UserName;
            friendLink.NavigateUrl = "/users/profile.aspx?user=" + friendLink.Text;
        }
    }
}